Loading...
Searching...
No Matches
Dune::TypeTree::CompositeNode< Children >::Child< k > Struct Template Reference

Access to the type and storage type of the i-th child. More...

`#include <dune/typetree/compositenode.hh>`

## Public Types

typedef std::tuple_element< k, ChildTypes >::type | Type
| The type of the child.
typedef std::tuple_element< k, ChildTypes >::type | type
| The type of the child.

## Detailed Description

template<typename... Children>
template<std::size_t k>
struct Dune::TypeTree::CompositeNode< Children >::Child< k >

Access to the type and storage type of the i-th child.

## Member Typedef Documentation

## Type

template<typename... Children>
template<std::size_t k>

typedef std::tuple_element<k,ChildTypes>::type Dune::TypeTree::CompositeNode< Children >::Child< k >::Type

The type of the child.

## type

template<typename... Children>
template<std::size_t k>

typedef std::tuple_element<k,ChildTypes>::type Dune::TypeTree::CompositeNode< Children >::Child< k >::type

The type of the child.

The documentation for this struct was generated from the following file:

- compositenode.hh